{ pkgs, ... }:

{
  environment.systemPackages = with pkgs; [
    (chromium.override { enableWideVine = true; })
  ];

  nixpkgs.config.chromium.commandLineArgs = "--enable-features=UseOzonePlatform --ozone-platform=wayland --ignore-gpu-blocklist --enable-gpu-rasterization --enable-zero-copy --enable-features=VaapiVideoDecoder,VaapiVideoEncoder,CanvasOopRasterization,WebUIDarkMode";

  programs.chromium = {
    enable = true;
    extensions = [
      "ekhagklcjbdpajgpjgmbionohlpdbjgc" # zotero connector
      "nngceckbapebfimnlniiiahkandclblb" # bitwarden
      "ddkjiahejlhfcafbddmgiahcphecmpfh" # ublock lite
      "mnjggcdmjocbbbhaepdhchncahnbgone" # sponsorblock
      "khncfooichmfjbepaaaebmommgaepoid" # unhook
    ];
    extraOpts = {
      "BrowserSignin" = 0;
      "SyncDisabled" = true;
      "PasswordManagerEnabled" = false;
      "TranslateEnabled" = false;
      "AutofillAddressEnabled" = false;
      "AutofillCreditCardEnabled" = false;
      "AutoplayAllowed" = false;
      "DefaultNotificationSetting" = 2;
      "BackgroundModeEnabled" = false;
      # "DefaultSearchProviderEnabled" = true;
      # "DefaultSearchProviderSearchURL" = "https://google.com/search?q={searchTerms}";
      # "DefaultSearchProviderSearchURL" = "https://duckduckgo.com/?q={searchTerms}";
      "SearchSuggestEnable" = false;
      "BlockThirdPartyCookies" = true;
      "PrivacySandboxAdMeasurementEnabled" = false;
      "PrivacySandboxAdTopicsEnabled" = false;
      "PrivacySandboxPromptEnabled" = false;
      "PrivacySandboxSiteEnabledAdsEnabled" = false;
    };
  };
}
